<div *ngIf="showDetail else addon" class="miam-recipe-details">
  <div class="miam-recipe-details__top__container">
    <div class="miam-recipe-details__top__container__img">
      <img [src]="recipe?.attributes['media-url']">
      <div *ngIf="(groceriesListsService.list$ | async)?.hasRecipe(recipe?.id)" class="miam-recipe-details__picture__tag">Déjà  ajoutée</div>
      <div class="miam-recipe-details__img__actions">
        <ng-miam-icon class="miam-recipe-details__actions__icon" [width]="20" [height]="20" [iconName]="icon.Heart"
          primaryColor='var(--m-color-secondary)'></ng-miam-icon>
        <ng-miam-icon class="miam-recipe-details__actions__icon" [width]="20" [height]="20" [iconName]="icon.Calendar"
          primaryColor='var(--m-color-secondary)'></ng-miam-icon>
        <ng-miam-icon class="miam-recipe-details__actions__icon" [width]="20" [height]="20" [iconName]="icon.Share"
          primaryColor='var(--m-color-secondary)'></ng-miam-icon>
      </div>
    </div>
    <div class="miam-recipe-details__top__container__infos">
      <span class="miam-recipe-details__infos__type">{{recipe?.recipeType?.attributes?.name | titlecase }}</span>
      <span class="miam-recipe-details__infos__title">{{recipe?.attributes['title']}}</span>
      <div class="miam-recipe-details__infos__metrics">
        <span>{{recipe?.difficultyLabel | titlecase }}</span>
        <ng-container [ngSwitch]="recipe?.difficultyLabel">
          <ng-container *ngSwitchCase="'facile'">
            <ng-miam-icon [width]="56" [height]="16" [iconName]="icon.DifficultyLow"></ng-miam-icon>
          </ng-container>
          <ng-container *ngSwitchCase="'moyen'">
            <ng-miam-icon [width]="56" [height]="16" [iconName]="icon.DifficultyMedium"></ng-miam-icon>
          </ng-container>
          <ng-container *ngSwitchCase="'difficile'">
            <ng-miam-icon [width]="56" [height]="16" [iconName]="icon.DifficultyHight"></ng-miam-icon>
          </ng-container>
          <ng-container *ngSwitchDefault></ng-container>
        </ng-container>
        <span>{{recipe?.costLabel | titlecase }}</span>
        <ng-container *ngIf="recipe?.costLabel">
          <ng-container [ngSwitch]="recipe?.costLabel">
            <ng-container *ngSwitchCase="'faible'">
              <ng-miam-icon [width]="56" [height]="16" [iconName]="icon.CostLow"></ng-miam-icon>
            </ng-container>
            <ng-container *ngSwitchCase="'moyen'">
              <ng-miam-icon [width]="56" [height]="16" [iconName]="icon.CostMedium"></ng-miam-icon>
            </ng-container>
            <ng-container *ngSwitchCase="'élevé'">
              <ng-miam-icon [width]="56" [height]="16" [iconName]="icon.CostHight"></ng-miam-icon>
            </ng-container>
            <ng-container *ngSwitchDefault></ng-container>
          </ng-container>
        </ng-container>
      </div>
      <div class="miam-recipe-details__infos__description">
        {{ recipe?.attributes['description'] }}
        <div class="miam-recipe-details__description__action"  (click)="print()">  <ng-miam-icon class="miam-recipe-details__actions__icon" [width]="20" [height]="20"  primaryColor='var(--m-color-primary)'  [iconName]="icon.Print">
        </ng-miam-icon> <span> Imprimer la recette </span></div>
      </div>
      <div class="miam-recipe-details__infos__price__wrapper">
        <div class="miam-recipe-details__infos__price">
          <ng-miam-recipe-pricing [recipe]="recipe" [serves]="recipe?.modifiedGuests"></ng-miam-recipe-pricing>
        </div>
        <button class="miam-recipe-details__infos__action m-button-fab-primary" (click)="addRecipe()">
          {{ (groceriesListsService.list$ | async)?.hasRecipe(recipe?.id) ? 'Voir le détail' : 'Sélectionner ce repas' }}
          <ng-miam-icon [width]="24" [height]="24" primaryColor='#fff'  [iconName]="(groceriesListsService.list$ | async).hasRecipe(recipe?.id) ? icon.CheckList  :icon.Cart"></ng-miam-icon>
        </button>
      </div>
    </div>
  </div>
  <div class="miam-recipe-details__mid__container">
    <div class="miam-recipe-details__mid__container__info">
      <ng-miam-icon [width]="32" [height]="32" [iconName]="icon.Time"></ng-miam-icon>
      <span>{{ recipe?.totalTime }}</span>
      <ng-miam-icon [width]="32" [height]="32" [iconName]="icon.Hot"></ng-miam-icon>
      <span>{{ recipe?.cookingTime }}</span>
      <ng-miam-icon [width]="32" [height]="32" [iconName]="icon.Wait"></ng-miam-icon>
      <span>{{ recipe?.restingTime }}</span>
    </div>
    <div  class="miam-recipe-details__mid__container__custom">
    </div>
  </div>
  <div> 
    <ng-miam-addon-link *ngIf="recipe.attributes['informational-page-html'] || recipe?.sponsors?.length > 0 " [recipe]='recipe' (showAddon)='toggleAddon()' ></ng-miam-addon-link>
  </div>
  <div class="miam-recipe-details__bottom__container">
    <div class="miam-recipe-details__bottom__container__ingredients">
      <div class="miam-recipe-details__bottom__container__header">
        Ingrédients
      </div>
      <div class="miam-recipe-details__ingredients__row">
        <div class="miam-recipe-details__ingredients__counter">
          <ng-miam-counter-input [counter]="recipe?.modifiedGuests" (counterChange)="updateGuests($event)">
          </ng-miam-counter-input>
        </div>
        <span class="miam-recipe-details__ingredients__row__qty">Quantité</span>
      </div>
      <div class="miam-recipe-details__ingredients__list">
        <div class="miam-recipe-details__ingredients__row" [ngClass]="{'checked': ingredientsChecked[i]}"
          *ngFor="let ingredient of recipe?.modifiedIngredients, let i = index ">
          <div> {{ ingredient.name | capitalizeFirstLetter}}</div>
          <div class="miam-recipe-details__ingredients__row__qty"> {{ ingredient.qty | readableFloatNumber : ingredient.unit }}</div>
        </div>
      </div>
    </div>
    <div class="miam-recipe-details__bottom__container__steps">
      <div class="miam-recipe-details__bottom__container__header">
        Préparation
      </div>
      <div class="miam-recipe-details__steps__list">
        <div class="miam-recipe-details__steps__list__panel" *ngFor="let step of steps; let i = index;"
          (click)="changeActiveStep(i)" [class.active]="i === activeStep"
          [class.miam-recipe-details__panel__done]="i < activeStep">
          <div class="miam-recipe-details__panel__idx"><strong>{{ i }}</strong></div>
          <div class="miam-recipe-details__panel__text">{{step?.attributes?.description}}</div>
          <ng-miam-icon class="miam-recipe-details__panel__checkIcon" *ngIf="i <= activeStep" [height]='16' [width]='16'
            [iconName]='icon.CheckCircleFill' primaryColor="var(--m-color-secondary)"></ng-miam-icon>
        </div>
      </div>
    </div>
  </div>
  <div class="miam-recipe-details__bottom__container__action">
    <div class="miam-recipe-details__infos__price__wrapper relative">
      <div class="miam-recipe-details__infos__price">
        <ng-miam-recipe-pricing [recipe]="recipe" [serves]="recipe?.modifiedGuests"></ng-miam-recipe-pricing>
      </div>
      <button class="miam-recipe-details__infos__action m-button-fab-primary" (click)="addRecipe()">
        {{ (groceriesListsService.list$ | async)?.hasRecipe(recipe?.id) ? 'Voir le détail' : 'Sélectionner ce repas' }}
        <ng-miam-icon [width]="24" [height]="24" primaryColor='#fff'  [iconName]="(groceriesListsService.list$ | async).hasRecipe(recipe?.id) ? icon.CheckList  :icon.Cart"></ng-miam-icon>
      </button>
    </div>
  </div>
</div>
<ng-template #addon> 
  <ng-miam-recipe-addon [recipe]='recipe' (hideAddon)="toggleAddon()"></ng-miam-recipe-addon>
</ng-template>